using UnityEngine;
using System.Collections;

public class Knife : Weapon {
	int _damage;

	void Awake()
	{
		_damage = 10;
	}

	public void SetDirection(string dir)
	{
		switch(dir)
		{
		case "up":
			transform.Rotate(0,0,0);
			break;

		case "down":
			transform.Rotate(0,0,180f);
			break;

		case "left":
			transform.Rotate(0,0,90f);
			break;

		case "right":
			Vector3 myScale = transform.localScale;
			myScale.y = -1;
			transform.localScale = myScale;
			transform.Rotate(0,0,90f);
			break;

		default:
			break;
		}
	}

	void Update()
	{

	}

	void OnCollisionEnter2D(Collision2D col)
	{

	}
}
